Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Installing openblas::science seems to destroy numpy
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
justin_brody
Apprentice
Apprentice


Joined: 26 Jan 2005
Posts: 222

PostPosted: Thu Dec 17, 2015 8:33 pm    Post subject: Installing openblas::science seems to destroy numpy Reply with quote

Hello,

I recently installed openblas and lapack from the science overlay
Code:

 emerge  lapack-reference::science openblas lapack::science cblas::science blas::science


They seem to be working fine, but also to have foobarred numpy. I can't emerge matplotlib in what ultimatley looks like a problem with numpy, and trying to emerge numpy dies with
Quote:

* Failed Patch: numpy-1.9.2-no-hardcode-blas.patch !
* ( /usr/portage/dev-python/numpy/files/numpy-1.9.2-no-hardcode-blas.patch )
*
* Include in your bugreport the contents of:
*
* /var/tmp/portage/dev-python/numpy-1.9.2/temp/numpy-1.9.2-no-hardcode-blas.patch.out
* ERROR: dev-python/numpy-1.9.2::gentoo failed (prepare phase):
* Failed Patch: numpy-1.9.2-no-hardcode-blas.patch!
*

Here's the patch output:
https://drive.google.com/file/d/0B-7bfP1dba9nZGp2MXJFdU1LUFE/view?usp=sharing

Anyone have any ideas??
Back to top
View user's profile Send private message
Melsion
n00b
n00b


Joined: 01 Nov 2007
Posts: 33

PostPosted: Fri Dec 18, 2015 10:16 am    Post subject: Reply with quote

Same here....
Back to top
View user's profile Send private message
justin_brody
Apprentice
Apprentice


Joined: 26 Jan 2005
Posts: 222

PostPosted: Fri Dec 18, 2015 3:30 pm    Post subject: Reply with quote

For what it's worth, I just backed the whole thing out -- it doesn't seem like openblas plays nicely with the rest of the system. So I did emerge -C on everything, removed the science overlay, and installed the reference versions of lapack, blas, and cblas. Strangely, I needed to remove the tarball for numpy from /usr/portage/distfiles to get it to emerge again, but that did work.

I had a somewhat similar experience trying to run ROS on Gentoo (fubar'd Python that time). I ended up creating a chroot version of Ubuntu which worked well for ROS. I installed openblas and torch7 (which is what I wanted openblas for) easily in there too. So I think my take-home is that stuff that's fundamental to the system and not fully supported by the main gentoo tree is best done in the chroot.
Back to top
View user's profile Send private message
justin_brody
Apprentice
Apprentice


Joined: 26 Jan 2005
Posts: 222

PostPosted: Sun Dec 20, 2015 1:43 pm    Post subject: Reply with quote

So the chroot doesn't play nicely with CUDA! So now I've just installed openblas by hand in /opt/openblas. This seems to work!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum